core.content

## Class Content

- java.lang.Object
- - core.content.Content

- Direct Known Subclasses:
    GameContent, InteractionContent, MappingContent, SpriteContent, TerminationContent

      public abstract class Content
      extends java.lang.Object

  Created with IntelliJ IDEA. User: Diego Date: 16/10/13 Time: 14:08 This is a Java port from Tom Schaul's VGDL - https://github.com/schaul/py-vgdl

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `identifier` Main definition of the content.
    `boolean` | `is_definition` Indicates if this content is definition (i.e., includes character ">" in VGDL).
    `java.lang.String` | `line` Original line with the content, in VGDL format.
    `java.util.HashMap<java.lang.String,java.lang.String>` | `parameters` List of parameters of this content (key => value).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Content()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Returns the original line of the content.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### line

          public java.lang.String line

      Original line with the content, in VGDL format.

    - #### identifier

          public java.lang.String identifier

      Main definition of the content. It is always the first word of each line in VGDL

    - #### parameters

          public java.util.HashMap<java.lang.String,java.lang.String> parameters

      List of parameters of this content (key => value). List of all pairs of the form key=value on the line.

    - #### is_definition

          public boolean is_definition

      Indicates if this content is definition (i.e., includes character ">" in VGDL).

  - ### Constructor Detail

    - #### Content

          public Content()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the original line of the content.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        original line, in VGDL format.